Βρέθηκε ένας νέος τρόπος για παραβίαση του πυρήνα με σκοπό το jailbreak στο ios 15

0


Εδώ και εβδομάδες ακούμε για την
ανάπτυξη ενός jailbreak στο iOS 15  που θα διαθέτει υποστήριξη για iOS 15.0 έως iOS 15.1.1. Οι προγραμματιστές του jailbreak έχουν επίσης ηχήσει πρόσφατα συναγερμούς σχετικά με τις δυσκολίες που αντιμετωπίζουν με την ανάπτυξη στο iOS 15.

Τώρα, κάποια καλά νέα ήρθαν επιτέλους για τους θαυμαστές του jailbreak καθώς ο @Synacktiv δημοσίευσε στο Twitter μια απόδειξη της ιδέας (PoC) μιας ευπάθειας σε επίπεδο πυρήνα που βρίσκεται στο iOS 15.3.1 ή παλαιότερη έκδοση. Αυτή η συγκεκριμένη ευπάθεια, η οποία υπήρχε στο iOS από το iOS 15.0 beta, μπορεί να χρησιμοποιηθεί για να χακάρει το iOS και ενδεχομένως για τη δημιουργία jailbreak. Το PoC δημοσιεύτηκε μόνο αφού η Apple φαίνεται να έχει διορθώσει την εν λόγω ευπάθεια με την πρόσφατη κυκλοφορία του iOS 15.4 .

Ο @Synacktiv μοιράστηκε το PoC ενώ ανέφερε σε ένα tweet από τον John Åkerblom. Σύμφωνα με τον Åkerblom, η ευπάθεια του πυρήνα που εισήχθη στο iOS 15.0 beta «προκαλεί καταστροφή του ipc_kmsgs που οδηγεί σε ισχυρά πρωτόγονα που μπορούν να χρησιμοποιηθούν για την κλιμάκωση τοπικών προνομίων από το WebContent και το sandbox των εφαρμογών».

Ενώ η δημοσίευση της απόδειξης της ιδέας ευπάθειας του iOS 15.3.1 είναι σίγουρα τα καλά νέα για την κοινότητα του jailbreak, δεν αποτελεί σε καμία περίπτωση ένδειξη ότι το jailbreak  iOS 15.3.1 πρόκειται να κυκλοφορήσει σύντομα. Προς το παρόν, οι προγραμματιστές του jailbreak  CooStar της ομάδας Odyssey εστιάζουν τις προσπάθειές τους στο jailbreak iOS 15.0-iOS 15.1.1 .

Απαιτείται αρκετή δουλειά για να μετατραπεί ένα PoC σε exploit, το οποίο είναι μόνο ένα από τα πολλά στοιχεία που απαιτούνται για την ανάπτυξη ενός δημόσιου jailbreak. Ωστόσο, αυτό εξακολουθεί να είναι ένα βήμα προς τη σωστή κατεύθυνση και αυτό το PoC θα μπορούσε να αποδειχθεί καθοριστικό για την ανάπτυξη ενός jailbreak iOS 15.0-iOS 15.3.1.

Τι πρέπει να κάνεις?

Αυτήν τη στιγμή, εάν χρησιμοποιείτε το iOS 15.1.1 ή παλαιότερη έκδοση, τότε σας συνιστούμε να παραμείνετε στην τρέχουσα έκδοση του iOS. Ομοίως, εάν το iPhone ή το iPad σας εκτελεί iOS 15.2-iOS 15.3.1 ή παλαιότερη έκδοση, τότε σας συμβουλεύουμε επίσης να μην ενημερώσετε το iOS 15.4.

Σε περίπτωση που έχετε ήδη κάνει αναβάθμιση σε iOS 15.4, τότε μπορείτε ακόμα να κάνετε υποβάθμιση σε iOS 15.3.1, καθώς είναι ακόμα υπό υπογραφή. Ωστόσο, καλύτερα να βιαστείτε καθώς η Apple θα κλείσει το παράθυρο υπογραφής για το iOS 15.3.1 και δεν θα μπορείτε πλέον να κάνετε υποβάθμιση σε αυτήν την έκδοση του iOS.


Tags

Δημοσίευση σχολίου

0Σχόλια
* Please Don't Spam Here. All the Comments are Reviewed by Admin.

Πείτε ελεύθερα τη δικιά σας άποψη

Πείτε ελεύθερα τη δικιά σας άποψη

Δημοσίευση σχολίου (0)

#buttons=(Accept !) #days=(20)

Our website uses cookies to enhance your experience. Learn More
Accept !